message Struct Reference

`#include <blocktools.h>`

## Public Attributes

neighbourID_t | sourceID
neighbourID_t | destID
int | tag
unsigned char | srcbuffid
unsigned char | destbuffid

## Member Data Documentation

## destbuffid

unsigned char message::destbuffid

Referenced by BlockGrid::generateInNeighbours(), BlockGrid2::generateInNeighbours(), and ripley::Rectangle::randomFillWorker().

## destID

neighbourID_t message::destID

Referenced by BlockGrid::generateInNeighbours(), BlockGrid2::generateInNeighbours(), and ripley::Rectangle::randomFillWorker().

## sourceID

neighbourID_t message::sourceID

Referenced by BlockGrid::generateInNeighbours(), BlockGrid2::generateInNeighbours(), and ripley::Rectangle::randomFillWorker().

## srcbuffid

unsigned char message::srcbuffid

Referenced by BlockGrid::generateInNeighbours(), BlockGrid2::generateInNeighbours(), and ripley::Rectangle::randomFillWorker().

## tag

int message::tag

Referenced by BlockGrid::generateInNeighbours(), BlockGrid2::generateInNeighbours(), and ripley::Rectangle::randomFillWorker().

The documentation for this struct was generated from the following file:

- blocktools.h